# QGraphicsObject Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QGraphicsObject(QGraphicsItem parent)

### Constructor Properties

- prototype: The QGraphicsObject prototype object

### Prototype Object Properties

The QGraphicsObject prototype object inherits properties from the QObject prototype object and also has the following properties.

- void grabGesture(GestureType type, GestureFlags flags)
- void ungrabGesture(GestureType type)

### Instance Properties

QGraphicsObject objects inherit properties from the QGraphicsObject prototype object and also have the following properties.

- *
- opacity
- enabled
- visible
- pos
- x
- y
- z
- rotation
- scale
- transformOriginPoint
- *effect